### Constructor

# GioUnix DesktopAppInfo new_from_filename

#### Declaration

    GDesktopAppInfo*
    g_desktop_app_info_new_from_filename (
      const char* filename
    )

#### Description

Creates a new `GDesktopAppInfo`.

#### Parameters

`filename`

  Type: `const char*`

  The path of a desktop file, in the GLib filename encoding.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

#### Return value

Type: `GDesktopAppInfo`

A new `GDesktopAppInfo` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.